Index: LMDZ4/trunk/libf/phylmd/YOECUMF.h
===================================================================
--- LMDZ4/trunk/libf/phylmd/YOECUMF.h	(revision 775)
+++ LMDZ4/trunk/libf/phylmd/YOECUMF.h	(revision 776)
@@ -14,4 +14,5 @@
       REAL ENTRPEN, ENTRSCV, ENTRMID, ENTRDD
       REAL CMFCTOP, CMFCMAX, CMFCMIN, CMFDEPS, RHCDD, CPRCON
+c$OMP THREADPRIVATE(/YOECUMF/)
 C
 *if (DOC,declared) <> 'UNKNOWN'
Index: LMDZ4/trunk/libf/phylmd/YOEGWD.h
===================================================================
--- LMDZ4/trunk/libf/phylmd/YOEGWD.h	(revision 775)
+++ LMDZ4/trunk/libf/phylmd/YOEGWD.h	(revision 776)
@@ -11,4 +11,5 @@
       COMMON/YOEGWD/ GFRCRIT,GKWAKE,GRCRIT,GVCRIT,GKDRAG,GKLIFT
      *        ,GHMAX,GRAHILO,GSIGCR,NKTOPG,NSTRA,GSSEC,GTSEC,GVSEC
+c$OMP THREADPRIVATE(/YOEGWD/)
 C
 
Index: LMDZ4/trunk/libf/phylmd/YOETHF.h
===================================================================
--- LMDZ4/trunk/libf/phylmd/YOETHF.h	(revision 775)
+++ LMDZ4/trunk/libf/phylmd/YOETHF.h	(revision 776)
@@ -14,2 +14,3 @@
       COMMON /YOETHF/R2ES, R3LES, R3IES, R4LES, R4IES, R5LES, R5IES,
      .               RVTMP2, RHOH2O
+!$OMP THREADPRIVATE(/YOETHF/)
Index: LMDZ4/trunk/libf/phylmd/YOETHF.inc
===================================================================
--- LMDZ4/trunk/libf/phylmd/YOETHF.inc	(revision 775)
+++ LMDZ4/trunk/libf/phylmd/YOETHF.inc	(revision 776)
@@ -14,2 +14,3 @@
       COMMON /YOETHF/R2ES, R3LES, R3IES, R4LES, R4IES, R5LES, R5IES, &
      &               RVTMP2, RHOH2O
+!$OMP THREADPRIVATE(/YOETHF/)
Index: LMDZ4/trunk/libf/phylmd/YOMCST.h
===================================================================
--- LMDZ4/trunk/libf/phylmd/YOMCST.h	(revision 775)
+++ LMDZ4/trunk/libf/phylmd/YOMCST.h	(revision 776)
@@ -37,2 +37,3 @@
      S      ,RALPD ,RBETD ,RGAMD
 !    ------------------------------------------------------------------
+!$OMP THREADPRIVATE(/YOMCST/)
Index: LMDZ4/trunk/libf/phylmd/atm2geo.F
===================================================================
--- LMDZ4/trunk/libf/phylmd/atm2geo.F	(revision 775)
+++ LMDZ4/trunk/libf/phylmd/atm2geo.F	(revision 776)
@@ -5,4 +5,5 @@
       SUBROUTINE atm2geo ( im, jm, pte, ptn, plon, plat, pxx, pyy, pzz )
       USE dimphy
+      USE mod_phys_lmdz_para
       IMPLICIT NONE
       include 'dimensions90.h'
@@ -26,4 +27,6 @@
       LOGICAL, SAVE :: linit = .FALSE.
 c$OMP THREADPRIVATE(linit)
+
+cym utilise pour le couple, ne fonctionne que en MPI seul
 c
 cxxx      IF ( .NOT. linit ) THEN 
@@ -41,5 +44,5 @@
 c
 c Value at North Pole
-      IF (jjphy_begin==1) THEN
+      IF (is_north_pole) THEN
         pxx ( :,  1) = - ptn ( 1, 1)
         pyy ( :,  1) = - pte ( 1, 1)
@@ -48,5 +51,5 @@
 c Value at South Pole
       
-      IF (jjphy_end==jjm+1) THEN
+      IF (is_south_pole) THEN
         pxx ( :, jm) = + ptn ( 1, jm)
         pyy ( :, jm) = + pte ( 1, jm)
Index: LMDZ4/trunk/libf/phylmd/calcul_divers.h
===================================================================
--- LMDZ4/trunk/libf/phylmd/calcul_divers.h	(revision 775)
+++ LMDZ4/trunk/libf/phylmd/calcul_divers.h	(revision 776)
@@ -5,5 +5,5 @@
 c initialisations diverses au "debut" du mois
 c
-      IF(MOD(itap,ecrit_mth).EQ.1) THEN
+      IF(MOD(itap,INT(ecrit_mth)).EQ.1) THEN
          DO i=1, klon
           nday_rain(i)=0.
@@ -17,7 +17,7 @@
        ENDDO
 c
-      ENDIF !MOD(itap,ecrit_mth).EQ.1
+      ENDIF !MOD(itap,INT(ecrit_mth)).EQ.1
 c
-      IF(MOD(itap,ecrit_day).EQ.0) THEN
+      IF(MOD(itap,INT(ecrit_day)).EQ.0) THEN
 c
 cIM calcul total_rain, nday_rain
Index: LMDZ4/trunk/libf/phylmd/comgeomphy.F90
===================================================================
--- LMDZ4/trunk/libf/phylmd/comgeomphy.F90	(revision 775)
+++ LMDZ4/trunk/libf/phylmd/comgeomphy.F90	(revision 776)
@@ -9,5 +9,5 @@
   
   subroutine InitComgeomphy
-  use dimphy
+  USE mod_phys_lmdz_para
   implicit none
     
Index: LMDZ4/trunk/libf/phylmd/compbl.h
===================================================================
--- LMDZ4/trunk/libf/phylmd/compbl.h	(revision 775)
+++ LMDZ4/trunk/libf/phylmd/compbl.h	(revision 776)
@@ -1,2 +1,5 @@
+      !
+      ! $Header$
+      !
       integer iflag_pbl
       common/compbl/iflag_pbl
Index: LMDZ4/trunk/libf/phylmd/condsurf.F
===================================================================
--- LMDZ4/trunk/libf/phylmd/condsurf.F	(revision 775)
+++ LMDZ4/trunk/libf/phylmd/condsurf.F	(revision 776)
@@ -3,4 +3,6 @@
       SUBROUTINE condsurf( jour, jourvrai, lmt_bils )
       USE dimphy
+      USE mod_grid_phy_lmdz
+      USE mod_phys_lmdz_para
       IMPLICIT none
 c
@@ -39,9 +41,6 @@
       CHARACTER*20 fich
       
-      REAL :: lmt_bils_glo(klon2)
-      REAL,ALLOCATABLE,SAVE :: lmt_bils_mpi(:)
+      REAL :: lmt_bils_glo(klon_glo)
       
-      LOGICAL,SAVE :: first
-c$OMP THREADPRIVATE(first)
 cc
 cc   .....................................................................
@@ -53,7 +52,4 @@
 c
 c
-      IF (first) THEN
-        ALLOCATE(lmt_bils_mpi(klon_mpi))
-      ENDIF
       
       IF (jour.LT.0 .OR. jour.GT.(360-1)) THEN
@@ -92,5 +88,5 @@
 c
 c$OMP MASTER
-      IF (phy_rank==0) THEN
+      IF (is_mpi_root) THEN
       ierr = NF_OPEN (fich, NF_NOWRITE,nid)
       IF (ierr.NE.NF_NOERR) THEN
@@ -106,7 +102,6 @@
       debut(1) = 1
       debut(2) = jourvrai
-      epais(1) = klon2
+      epais(1) = klon_glo
       epais(2) = 1
-c
 c Bilan flux de chaleur au sol:
 c
@@ -132,10 +127,8 @@
       ierr = NF_CLOSE(nid)
       
-      ENDIF ! phyrank==0
+      ENDIF ! is_mpi_root==0
 
-      CALL scatterField(lmt_bils_glo,lmt_bils_mpi,1)
 c$OMP END MASTER
-c$OMP BARRIER
-      CALL scatterField_omp(lmt_bils_mpi,lmt_bils,1)
+      CALL scatter(lmt_bils_glo,lmt_bils)
             
 c
Index: LMDZ4/trunk/libf/phylmd/dimphy.F90
===================================================================
--- LMDZ4/trunk/libf/phylmd/dimphy.F90	(revision 775)
+++ LMDZ4/trunk/libf/phylmd/dimphy.F90	(revision 776)
@@ -1,4 +1,43 @@
-module dimphy
-  USE mod_phys_mpi
-  USE mod_phys_openmp
-end module dimphy
+MODULE dimphy
+  
+  INTEGER,SAVE :: klon
+  INTEGER,SAVE :: kdlon
+  INTEGER,SAVE :: kfdia
+  INTEGER,SAVE :: kidia
+  INTEGER,SAVE :: nbtr 
+  INTEGER,SAVE :: klev
+  INTEGER,SAVE :: klevp1
+  INTEGER,SAVE :: klevm1
+  INTEGER,SAVE :: kflev
+
+!$OMP THREADPRIVATE(klon,kfdia,kidia,kdlon)
+  REAL,save,allocatable,dimension(:) :: zmasq
+!$OMP THREADPRIVATE(zmasq)   
+
+CONTAINS
+  
+  SUBROUTINE Init_dimphy(klon0,klev0,nbtr0)
+  IMPLICIT NONE
+  
+    INTEGER, INTENT(in) :: klon0
+    INTEGER, INTENT(in) :: klev0
+    INTEGER, INTENT(in) :: nbtr0
+    
+    klon=klon0
+    
+    kdlon=klon
+    kidia=1
+    kfdia=klon
+!$OMP MASTER 
+    klev=klev0
+    nbtr=nbtr0
+    klevp1=klev+1
+    klevm1=klev-1
+    kflev=klev
+!$OMP END MASTER    
+    ALLOCATE(zmasq(klon))    
+    
+  END SUBROUTINE Init_dimphy
+
+  
+END MODULE dimphy
Index: LMDZ4/trunk/libf/phylmd/hbtm.F
===================================================================
--- LMDZ4/trunk/libf/phylmd/hbtm.F	(revision 775)
+++ LMDZ4/trunk/libf/phylmd/hbtm.F	(revision 776)
@@ -1,2 +1,6 @@
+!
+! $Header$
+!
+
       SUBROUTINE HBTM(knon, paprs, pplay,
      .                t2m,t10m,q2m,q10m,ustar,
Index: LMDZ4/trunk/libf/phylmd/ini_histISCCP.h
===================================================================
--- LMDZ4/trunk/libf/phylmd/ini_histISCCP.h	(revision 775)
+++ LMDZ4/trunk/libf/phylmd/ini_histISCCP.h	(revision 776)
@@ -130,5 +130,5 @@
           CALL histdef(nid_isccp, "cldISCCP_"//taulev(k)//typinout(n),
      .                "LMDZ ISCCP cld", "%",
-     .                iim, jjphy_nb,nhori,lmaxm1,1,lmaxm1,nvert,32,
+     .                iim, jj_nb,nhori,lmaxm1,1,lmaxm1,nvert,32,
      .                "ave(X)", zcals(n),zout_isccp(n))
          ENDDO
@@ -136,5 +136,5 @@
          CALL histdef(nid_isccp, "nsunlit"//typinout(n),
      .                "Nb of calls with sunlit ", "%",
-     .                iim, jjphy_nb,nhori,1,1,1,-99,32,
+     .                iim, jj_nb,nhori,1,1,1,-99,32,
      .                "ave(X)", zcals(n),zout_isccp(n))
 c
@@ -152,5 +152,5 @@
            CALL histdef(nid_isccp, pclev(l)//taulev(k)//typinout(n),
      .                "LMDZ ISCCP cld "//cnameisccp(l,k), "%",
-     .                iim, jjphy_nb,nhori,1,1,1,-99,32,
+     .                iim, jj_nb,nhori,1,1,1,-99,32,
      .                "ave(X)", zcals(n),zout_isccp(n))
 c
@@ -161,5 +161,5 @@
           CALL histdef(nid_isccp, "nsunlit"//typinout(n),
      .                "Nb of calls with sunlit ", "%",
-     .                iim, jjphy_nb,nhori,1,1,1,-99,32,
+     .                iim, jj_nb,nhori,1,1,1,-99,32,
      .                "ave(X)", zcals(n),zout_isccp(n))
 c
@@ -167,45 +167,45 @@
           CALL histdef(nid_isccp, "cirr",
      .                "Cirrus lk ISCCP-D2", "%",
-     .                iim, jjphy_nb,nhori,1,1,1,-99,32,
+     .                iim, jj_nb,nhori,1,1,1,-99,32,
      .                "ave(X)", zcals(n),zout_isccp(n))
 c
           CALL histdef(nid_isccp, "cist",
      .                "CiSt lk ISCCP-D2", "%",
-     .                iim, jjphy_nb,nhori,1,1,1,-99,32,
+     .                iim, jj_nb,nhori,1,1,1,-99,32,
      .                "ave(X)", zcals(n),zout_isccp(n))
 c
           CALL histdef(nid_isccp, "deep",
      .                "Deep lk ISCCP-D2", "%",
-     .                iim, jjphy_nb,nhori,1,1,1,-99,32,
+     .                iim, jj_nb,nhori,1,1,1,-99,32,
      .                "ave(X)", zcals(n),zout_isccp(n))
 c
           CALL histdef(nid_isccp, "alcu",
      .                "AlCu lk ISCCP-D2", "%",
-     .                iim, jjphy_nb,nhori,1,1,1,-99,32,
+     .                iim, jj_nb,nhori,1,1,1,-99,32,
      .                "ave(X)", zcals(n),zout_isccp(n))
 c
           CALL histdef(nid_isccp, "alst",
      .                "AlSt lk ISCCP-D2", "%",
-     .                iim, jjphy_nb,nhori,1,1,1,-99,32,
+     .                iim, jj_nb,nhori,1,1,1,-99,32,
      .                "ave(X)", zcals(n),zout_isccp(n))
 c
           CALL histdef(nid_isccp, "nist",
      .                "NiSt lk ISCCP-D2", "%",
-     .                iim, jjphy_nb,nhori,1,1,1,-99,32,
+     .                iim, jj_nb,nhori,1,1,1,-99,32,
      .                "ave(X)", zcals(n),zout_isccp(n))
 c
           CALL histdef(nid_isccp, "cumu",
      .                "Cumu lk ISCCP-D2", "%",
-     .                iim, jjphy_nb,nhori,1,1,1,-99,32,
+     .                iim, jj_nb,nhori,1,1,1,-99,32,
      .                "ave(X)", zcals(n),zout_isccp(n))
 c
           CALL histdef(nid_isccp, "stcu",
      .                "StCu lk ISCCP-D2", "%",
-     .                iim, jjphy_nb,nhori,1,1,1,-99,32,
+     .                iim, jj_nb,nhori,1,1,1,-99,32,
      .                "ave(X)", zcals(n),zout_isccp(n))
 c
           CALL histdef(nid_isccp, "stra",
      .                "Stra lk ISCCP-D2", "%",
-     .                iim, jjphy_nb,nhori,1,1,1,-99,32,
+     .                iim, jj_nb,nhori,1,1,1,-99,32,
      .                "ave(X)", zcals(n),zout_isccp(n))
 c
@@ -213,15 +213,15 @@
           CALL histdef(nid_isccp, "thin",
      .                "Opt. thin ISCCP-D2 like clouds", "%",
-     .                iim, jjphy_nb,nhori,lmax3,1,lmax3,nvert3,32,
+     .                iim, jj_nb,nhori,lmax3,1,lmax3,nvert3,32,
      .                "ave(X)", zcals(n),zout_isccp(n))
 c
           CALL histdef(nid_isccp, "mid",
      .                "Opt. intermediate ISCCP-D2 like clouds", "%",
-     .                iim, jjphy_nb,nhori,lmax3,1,lmax3,nvert3,32,
+     .                iim, jj_nb,nhori,lmax3,1,lmax3,nvert3,32,
      .                "ave(X)", zcals(n),zout_isccp(n))
 c
           CALL histdef(nid_isccp, "thick",
      .                "Opt. thick ISCCP-D2 like clouds", "%",
-     .                iim, jjphy_nb,nhori,lmax3,1,lmax3,nvert3,32,
+     .                iim, jj_nb,nhori,lmax3,1,lmax3,nvert3,32,
      .                "ave(X)", zcals(n),zout_isccp(n))
 c
@@ -236,5 +236,5 @@
           CALL histdef(nid_isccp,"boxptop"//verticaxe(n),
      .                "Boxptop axe"//verticaxe(n), "mb",
-     .                iim, jjphy_nb,nhori,
+     .                iim, jj_nb,nhori,
      .                ncol(n),1,ncol(n),nvlev(n),32,
 cIM  .                ncolmx,1,ncolmx,nvlev,32,
@@ -249,5 +249,5 @@
           CALL histdef(nid_isccp, "seed"//verticaxe(n),
      .                "seed axe"//verticaxe(n), "-",
-     .                iim, jjphy_nb,nhori,1,1,1,-99,32,
+     .                iim, jj_nb,nhori,1,1,1,-99,32,
 cIM  .                "inst(X)", dtime,dtime)
      .                "ave(X)", zcals(n),zout_isccp(n))
Index: LMDZ4/trunk/libf/phylmd/ini_histREGDYN.h
===================================================================
--- LMDZ4/trunk/libf/phylmd/ini_histREGDYN.h	(revision 775)
+++ LMDZ4/trunk/libf/phylmd/ini_histREGDYN.h	(revision 776)
@@ -5,5 +5,5 @@
       IF (ok_regdyn) THEN
       
-        if (monocpu) then
+        if (is_sequential) then
 c
 cIM      PRINT*, 'La frequence de sortie REGDYN est de ', ecrit_mth
@@ -123,5 +123,5 @@
          CALL histend(nid_regdyn)
 	 
-	 endif ! monocpu
+	 endif ! is_sequential
 
       endif ! ok_regdyn
